
const { google } = require('googleapis');
const credentials = require('../credentials/stockshark0001/credentials.json')
const token = require('../credentials/stockshark0001/token.json')

const { client_secret, client_id, redirect_uris } = credentials.installed;
const googleClient = new google.auth.OAuth2(client_id, client_secret, redirect_uris[0]);
googleClient.setCredentials(token);
const googleDrive = google.drive({ version: 'v3', auth: googleClient });

const GoogleDriveHandler = require('google-drive-handler')

module.exports = new GoogleDriveHandler(googleDrive)